"""
╔═════════════════════════════════════╗
║ 0   │   vertical seperator          ║
║ 1   ─   horizontal seperator        ║
║ 2   ┼   cross                       ║
║ 3   ═   border horizontal seperator ║
║ 4   ║   border vertical seperator   ║
║ 5   ╔   top left                    ║
║ 6   ╤   top cross                   ║
║ 7   ╗   top right                   ║
║ 8   ╟   left cross                  ║
║ 9   ╢   right cross                 ║
║ 10  ╚   bottom left                 ║
║ 11  ╧   bottom cross                ║
║ 12  ╝   bottom right                ║
╚═════════════════════════════════════╝
"""

DEFAULT_THEME = ['│', '─', '┼', '═', '║',
                 '╔', '╤', '╗', '╟', '╢', '╚', '╧', '╝']

"""
┌───┬───┬───┐
│ x │ x │ x │
├───┼───┼───┤
│ x │ x │ x │
│ x │ x │ x │
└───┴───┴───┘
"""
THIN_THEME = ['│', '─', '┼', '─', '│',
              '┌', '┬', '┐', '├', '┤', '└', '┴', '┘']

"""
┌───────────┐
│ x   x   x │
├───────────┤
│ x   x   x │
│ x   x   x │
└───────────┘
"""
NO_VERTICAL_THEME = [' ', '─', '─', '─', '│',
                     '┌', '─', '┐', '├', '┤', '└', '─', '┘']

"""
┌───┬───┬───┐
│ x │ x │ x │
│   │   │   │
│ x │ x │ x │
│ x │ x │ x │
└───┴───┴───┘
"""
NO_HORIZONTAL_THEME = ['│', ' ', '│', '─', '│',
                       '┌', '┬', '┐', '│', '│', '└', '┴', '┘']

"""
             
  x │ x │ x  
 ───┼───┼─── 
  x │ x │ x  
  x │ x │ x  
             
"""
CLEAN_THEME = ['│', '─', '┼', *([' ']*10)]

"""
             
  x | x | x  
 ---+---+--- 
  x | x | x  
  x | x | x  
             
"""
ASCII_THEME = ['|', '-', '+', *([" "]*10)]

"""
             
  x   x   x  
             
  x   x   x  
  x   x   x  
             
"""
NOTHING_THEME = [' ']*13

"""
╔═══╦═══╦═══╗
║ x ║ x ║ x ║
╠═══╬═══╬═══╣
║ x ║ x ║ x ║
║ x ║ x ║ x ║
╚═══╩═══╩═══╝
"""
THICC_THEME = ['║', '═', '╬', '═', '║',
               '╔', '╦', '╗', '╠', '╣', '╚', '╩', '╝']

"""
             
  x ║ x ║ x  
 ═══╬═══╬═══ 
  x ║ x ║ x  
  x ║ x ║ x  
             
"""
THICC_CLEAN_THEME = ['║', '═', '╬', *([' ']*10)]

"""
╭───┬───┬───╮
│ x │ x │ x │
├───┼───┼───┤
│ x │ x │ x │
│ x │ x │ x │
╰───┴───┴───╯
"""
ROUNDED_THEME = ['│', '─', '┼', '─', '│',
                 '╭', '┬', '╮', '├', '┤', '╰', '┴', '╯']
